import { ModuleItem } from '@swc/core';
import { Visitor } from '@swc/core/Visitor';
export interface TransformCtx {
    source: string;
    name: string;
}
export declare type TransformFn = (ctx: TransformCtx) => string | string[] | undefined | null | false;
export declare type Transform = string | string[] | TransformFn;
export interface Config {
    transform: Transform;
    style?: boolean | string;
}
export declare class ImportOnDemand extends Visitor {
    private configMap;
    constructor(userConfigMap: Record<string, Transform | Config>);
    visitModuleItems(items: ModuleItem[]): ModuleItem[];
}
export default ImportOnDemand;
